Debian Bug report logs - #345112
firefox: unnecessary prompts about conffiles after migrating from package 'mozilla-firefox'

version graph

Package: firefox; Maintainer for firefox is (unknown);

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Thu, 29 Dec 2005 03:48:01 UTC

Severity: important

Tags: confirmed

Found in version firefox/1.5.dfsg-3

Fixed in version firefox/1.5.dfsg+1.5.0.1-1

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#345112; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Debian BTS Submission <submit@bugs.debian.org>
Subject: firefox: unnecessary prompts about conffiles after migrating from package 'mozilla-firefox'
Date: Wed, 28 Dec 2005 22:44:14 -0500
[Message part 1 (text/plain, inline)]
Package: firefox
Version: 1.5.dfsg-3
Severity: important
File: ./debian/preinst, 
 bookmarks.html,
 firefox.js,
 search.rdf

I just updated to the 'firefox' package available in sid, replacing
'mozilla-firefox' packages in testing to test a bug, as requested by
Eric.  I got prompts about conffiles which I should not have gotten,
since I did not modify those files.  This is probably caused by the
new package shipping conffiles which were previously owned by the old
package, and failing to provide any preinst foo to handle it.

Please see the examples at http://www.dpkg.org/ConffileHandling.  The
goal is to save all our users from having to deal with this prompt,
which will, until fixed, affect sarge to etch upgrades.  Remember to
preserve deletion of a conffile.

I can't reproduce this behaviour of causing a .diff after a conffile
is changed in a new package name which conflicts+replaces the old
package, btw.

Included are the files which I saw changed on 2 upgrades.
[firefox.tar.bz2 (application/octet-stream, attachment)]
[firefox2.tar.bz2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#345112; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 345112@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: <345112@bugs.debian.org>
Date: Wed, 28 Dec 2005 23:22:08 -0500
mysql and openssh also have this problem.



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#345112; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #15 received at 345112@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 345112@bugs.debian.org
Subject: me too
Date: Tue, 3 Jan 2006 01:10:37 +1100
I saw this bug also. 

Bad conffile handling is one of Debian's most annoying traits. :-|


Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Tags added: confirmed Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#345112; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #22 received at 345112@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org, 345112@bugs.debian.org, 304066@bugs.debian.org, 345113@bugs.debian.org, 346282@bugs.debian.org, 337992@bugs.debian.org
Subject: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Wed, 25 Jan 2006 22:56:27 -0500
At least 4 major packages are presently affected by conffile prompts
during upgrades from Sarge to current testing, because the name of the
package owning some conffile changed.  When dpkg queries "what is the
md5sum of the old conffile", it probably looks only for md5sums of
files owned by the old package, and so finds nothing, and the usual
logic doesn't apply.

See also bullet 3 of Bill Allombert's message titled "Some bits of
experience gained from handling upgrade-reports"; this is a similar
situation:
  http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html

Bill's simple recipe is to remove the conffile in preinst if the
md5sum of the conffile matches that of the stable version.
http://dpkg.org/ has an even better example, which plays nicely even
for upgrades from versions not in the stable release; it works by
parsing the dpkg status database with sed (and not distinguising
between which package owns a conffile).

During preinst, status contains the old md5sums, and immediately
before calling postinst configure, new conffiles are put into place,
with a prompt if the current md5sum matches neither the stored value
nor the new value.

At the very least, I would expect no unnecessary conffile prompts on
upgrade from sarge to etch; so, I'm sending this now instead of
waiting for myself or someone else to come up with a more complete
solution.

Check out the minimal packages, conf-owner-transfer and
conf-owner-test, which you can use to help understand what is going
on:
  http://justinpryzby.com/debian/conf-owner-transfer_1.tar.gz

I note that it does not preserve conffile removal, and keybuk notes
that errors are not handled (for example, aborted abgrades).

# Start from a fresh state
sudo dpkg -P conf-owner-{test,transfer}

# Start with a single package "conf-owner-test" which owns the
# conffile /etc/confowner.conf; ignore the presence of the second
# package "conf-owner-transfer".
./debian/rules v1

# Build and install version 1.  Note that "conf-owner-transfer" either
# doesn't exist at version 1, or doesn't own the conffile.
dpkg-buildpackage -rfakeroot
sudo dpkg -i ../conf-owner-test_1_all.deb

# Increase the binary package version, and switch which binary package
# owns the conffile.  For simplity, I don't rename the directory.
./debian/rules v2

# Build and install version 2; note that both packages are installed
# in the same dpkg run.  Note the the conffile has been updated
# without prompting.  Repeat the process, after commenting out the
# "rm" line, and note how much nicer it was to not be prompted.
dpkg-buildpackage -rfakeroot
sudo dpkg -i  ../conf-owner-{test,transfer}_2_all.deb

-- 
Clear skies,
Justin



Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 345112-close@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 345112-close@bugs.debian.org
Subject: Bug#345112: fixed in firefox 1.5.dfsg+1.5.0.1-1
Date: Mon, 06 Feb 2006 22:17:19 -0800
Source: firefox
Source-Version: 1.5.dfsg+1.5.0.1-1

We believe that the bug you reported is fixed in the latest version of
firefox, which is due to be installed in the Debian FTP archive:

firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_i386.deb
  to pool/main/f/firefox/firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_i386.deb
firefox-gnome-support_1.5.dfsg+1.5.0.1-1_i386.deb
  to pool/main/f/firefox/firefox-gnome-support_1.5.dfsg+1.5.0.1-1_i386.deb
firefox_1.5.dfsg+1.5.0.1-1.diff.gz
  to pool/main/f/firefox/firefox_1.5.dfsg+1.5.0.1-1.diff.gz
firefox_1.5.dfsg+1.5.0.1-1.dsc
  to pool/main/f/firefox/firefox_1.5.dfsg+1.5.0.1-1.dsc
firefox_1.5.dfsg+1.5.0.1-1_i386.deb
  to pool/main/f/firefox/firefox_1.5.dfsg+1.5.0.1-1_i386.deb
firefox_1.5.dfsg+1.5.0.1.orig.tar.gz
  to pool/main/f/firefox/firefox_1.5.dfsg+1.5.0.1.orig.tar.gz
mozilla-firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_all.deb
  to pool/main/f/firefox/mozilla-firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_all.deb
mozilla-firefox-gnome-support_1.5.dfsg+1.5.0.1-1_all.deb
  to pool/main/f/firefox/mozilla-firefox-gnome-support_1.5.dfsg+1.5.0.1-1_all.deb
mozilla-firefox_1.5.dfsg+1.5.0.1-1_all.deb
  to pool/main/f/firefox/mozilla-firefox_1.5.dfsg+1.5.0.1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 345112@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Dorland <eric@debian.org> (supplier of updated firefox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  6 Feb 2006 23:10:29 -0500
Source: firefox
Binary: firefox-gnome-support firefox-dom-inspector mozilla-firefox mozilla-firefox-gnome-support mozilla-firefox-dom-inspector firefox
Architecture: source all i386
Version: 1.5.dfsg+1.5.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Eric Dorland <eric@debian.org>
Changed-By: Eric Dorland <eric@debian.org>
Description: 
 firefox    - lightweight web browser based on Mozilla
 firefox-dom-inspector - tool for inspecting the DOM of pages in Mozilla Firefox
 firefox-gnome-support - Support for Gnome in Mozilla Firefox
 mozilla-firefox - Transition package for firefox rename
 mozilla-firefox-dom-inspector - Transition package for firefox rename
 mozilla-firefox-gnome-support - Transition package for firefox rename
Closes: 338716 344888 345112 348069 348375 348451 348699 348902 349624 349946 350571 350608 350611 350621 350788 351442
Changes: 
 firefox (1.5.dfsg+1.5.0.1-1) unstable; urgency=low
 .
   * The "those Ubuntu guys are great after all" release.
   * New upstream release. (Closes: #351442)
 .
   [ Mike Hommey ]
   * debian/presubj: Added indications to try to reproduce without extensions
     before actually filing a bug, and a hint to the safe mode.
   * debian/firefox.install: added the reporter chrome files. (Closes: #344888)
   * widget/src/gtk2/nsWindow.cpp: Revert additional stale patch for
     extended mouse buttons support.
   * debian/firefox.postinst, debian/firefox.prerm: unbashified.
     (Closes: #349946)
   * debian/control, debian/firefox-gnome-support.postinst,
     debian/firefox-gnome-support.prerm: Let the firefox-gnome-support
     package provide gnome-www-browser and handle a gnome-www-browser
     alternative. Thanks Loïc Minier. (Closes: #350788)
   * debian/firefox-runner: Enable Pango support by default. The
     MOZ_ENABLE_PANGO environment variable is now useless. (Closes: #338716)
   * debian/README.Debian: Change the paragraph about Pango to hint about
     the MOZ_DISABLE_PANGO variable.
 .
   [ Eric Dorland ]
   * content/events/src/nsEventStateManager.cpp,
     modules/libpref/src/init/all.js, widget/public/nsGUIEvent.h: Apply
     patch from Ian Jackson to revert a stale patch for multiple mouse
     button support that was fixed in a different way in 1.5
     (Closes: #348375)
   * debian/firefox.preinst: Check md5sum's of old conffiles before cp'ing
     them on upgrade. This won't stop all unnecessary conffile prompting in
     all situations (especially from really old versions), but should
     definitely should work for upgrading from testing or stable. (Closes:
     #345112)
   * debian/firefox.install:
     - Remove run-mozilla.sh. (Closes: #348902)
     - Reorganize things a bit.
     - Move profile into /etc/firefox here, instead of in the rules file.
   * debian/firefox.install, debian/firefox.preinst, debian/firefox.links,
     debian/firefox.dirs, debian/rules: Move chrome, defaults, greprefs
     into /usr/share/firefox for more FHS goodnesss.
   * debian/firefox.1: Document -new-tab and -new-window options, and
     remove deprecated -remote option. (Closes: #348699)
   * debian/firefox-runner: Apply patch to properly URL escape local
     files. Thanks Morita Sho. (Closes: #348451)
   * browser/app/profile/firefox.js:
     - Reallow 40-bit ciphers, since now firefox warns people who
       use them. (Closes: #349624)
     - Enable bidi UI elements for our bi-directional friends.
       (Closes: #348069)
   * debian/rules: Remove glob pattern from dh_install invocation. Thanks
     Ian Jackson. (Closes: #350571)
   * browser/base/content/aboutDialog.xul: Fix spurious scrollbar in the
     about dialog box. Thanks Ian Jackson. (Closes: #350608)
   * js/src/fdlibm/fdlibm.h: Patch to fix little endianess of
     mipsel. Thanks Ian Jackson and Thiemo Seufer. (Closes: #350621)
   * browser/base/content/search.xml: Patch from Ian Jackson to remove
     misleading Clear option from search box context menu. (Closes: #350611)
   * debian/watch: Fix regex to actually find the upstream tarballs.
   * modules/libpref/src/init/all.js: Cope better with printers with spaces
     in the name. Thanks Ian Jackson.
   * toolkit/components/passwordmgr/base/nsPasswordManager.cpp: Take patch
     from bz#235336 as suggested by Ian Jackson to allow password manager
     to work with sites that only have a password field, no username.
Files: 
 84b1d39411786d9c5aec5bdfab161954 1071 web optional firefox_1.5.dfsg+1.5.0.1-1.dsc
 333e28821a59e3aee5aabc5a11f05b0b 42205429 web optional firefox_1.5.dfsg+1.5.0.1.orig.tar.gz
 9b885de8399ac22fbb5ca6c5c7ddf345 120265 web optional firefox_1.5.dfsg+1.5.0.1-1.diff.gz
 bdf1fa1009e71fa6bb5c7bbe4a50ede9 8049118 web optional firefox_1.5.dfsg+1.5.0.1-1_i386.deb
 e2f70fc7f206f4cb7a12bf7c1cae734b 208150 web optional firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_i386.deb
 5fb6ca9c5d0a241a2832c2fb452c11ac 69484 web optional firefox-gnome-support_1.5.dfsg+1.5.0.1-1_i386.deb
 668cf6016928d1e1f1ac0537d390b796 43628 web optional mozilla-firefox_1.5.dfsg+1.5.0.1-1_all.deb
 5de00a89e5c5807ab4bdcdf7c57653cd 42824 web optional mozilla-firefox-dom-inspector_1.5.dfsg+1.5.0.1-1_all.deb
 47e5a14f99b69aa930cfe68ab61cfa8b 42824 web optional mozilla-firefox-gnome-support_1.5.dfsg+1.5.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD6DO3YemOzxbZcMYRArfLAKCAdV2LsNjuZtnIqE3MedhOudHjVACdFTVA
f1DGXV88KELDxxqboXCjcOM=
=QyN0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 15:06:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:48:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.